#ifndef _CFPS_H_
#define _CFPS_H_

#include "../App/EngineH.h"

class C_FPS_0// Třída FPS
{
private :
	__int64		_stary_cas;
	__int64		_aktualni_cas;
	double		_fps;// Počet snímků za sekundu
	
public :
	C_FPS_0();

public :
	void			Vypocet();
	inline double	GetFPS() const {return _fps;}
};

//////////////////////////////////////////////////////////////////////////
// TIMER
//////////////////////////////////////////////////////////////////////////

class CTimer
{
private :
	uint _staryCas;
	uint _aktCas;

public :
	CTimer();
public :
	int GetCas();
};

#endif //_CFPS_H_